post
https://desslyhub.com/api/v1/service/mobile/variant//games/refill
Mobile game top-ups with a choice of payment source
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
To successfully refill mobile game, you need to specify id and SOURCE VARIANT 1 or 2.
For a successful refill, you must specify in the body of the request
| Parameter | Required | Description |
|---|---|---|
| fields | yes | key-value data set specified when obtaining game information on the Get Game By ID handle |
| position | yes | ID of a specific position, obtained in Get Game By App ID for a specific game |
| reference | no | your ID , if necessary |
To view the request body, open “Example” in the right window of cURL Request in the Examples tab.
If you follow the above rules, you will receive a response like this:
{
"transaction_id":"uuid",
"status": "pending",
"error_code": 0
}{
"status": "success",
"error_code": -1
}{
"status": "pending",
"error_code": 0
}"status" - transaction status. You can read more about statuses Statuses
“error_code” - error code; for a list of error codes, please refer to the page Error Codes
If you receive a message such as:
{
"error_code": -1
}Review the list of errors Error Codes
200